Mailinglist Archive: opensuse (1047 mails)

< Previous Next >
[opensuse] How did I get 'suspend' installed on Leap? [WAS: opensuse Re: depends on plymouth]
On 2016-01-22 12:58, Yamaban wrote:
On Fri, 22 Jan 2016 05:07, Carlos E. R. <robin.listas@...> wrote:


Well, that's different: suspend is installed by default, even on Leap.
Your systems, being test systems, avoid it.

Huh? On a fresh install of Leap 42.1 from DVD, there is no package
"suspend" at all, and even a search on software.opensuse.org:

Something strange happening here. My Leap test install in my laptop
certainly has it installed. My test install under vmware player,
doesn't. Both were made from the same "DVD" (usb stick).

The laptop (Leap) has suspend fromo 13.1.

Install Date: 2016-01-14T19:00:56 CET

/var/log/zypp/history
# 2016-01-14 19:02:55 suspend-1.0-28.1.1.x86_64.rpm installed ok
...
2016-01-14
19:02:55|install|suspend|1.0-28.1.1|x86_64||openSUSE-42.1-0|ce4ad7712564d0ae6b8c7bc737654114b1f92d137c42cd9b7119650a2368a8ad|


2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp:fetcher]
Fetcher.cc(provideFromCache):350 start fetcher with 1 cache directories.
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp:fetcher]
Fetcher.cc(provideToDest):547 Not found in cache, downloading
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
MediaSetAccess.cc(provide):203 Going to try to provide file
./suse/x86_64/suspend-1.0-28.1.1.x86_64.rpm from media number 1
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
MediaManager.cc(checkDesired):112 checkDesired(8): desired (cached)
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
MediaManager.cc(checkDesired):112 checkDesired(8): desired (cached)
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
MediaHandler.cc(provideFile):998
provideFile(./suse/x86_64/suspend-1.0-28.1.1.x86_64.rpm)
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
MediaManager.cc(checkDesired):112 checkDesired(8): desired (cached)
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
ExternalProgram.cc(start_program):249 Executing '/bin/cp'
'--remove-destination' '--'
'/var/adm/mount/AP_0xvaS5KG/suse/x86_64/suspend-1.0-28.1.1.x86_64.rpm'
'/var/cache/zypp/packages/openSUSE-42.1-0/suse/x86_64/suspend-1.0-28.1.1.x86_64.rpm'
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
ExternalProgram.cc(start_program):412 pid 9811 launched
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
ExternalProgram.cc(checkStatus):513 Pid 9811 successfully completed
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp++]
MediaSetAccess.cc(releaseFile):85 Going to release file
./suse/x86_64/suspend-1.0-28.1.1.x86_64.rpm from media number 1
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [zypp:fetcher]
Fetcher.cc(validate):392 Checking job
[/var/cache/zypp/packages/openSUSE-42.1-0/suse/x86_64/suspend-1.0-28.1.1.x86_64.rpm]
(1 checkers )
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [Progress++]
ProgressData.cc(report):88 {#195|}END
2016-01-14 18:54:16 <1> Minas-Anor.Valinor(9298) [Ruby]
modules/PackageCallbacks.rb:199 DoneProvide: 0, , suspend



I think I know where it comes from! It is a bug that I was checking before
report.


The laptop is triple boot: windows, openSUSE 13.1, Leap.
When I start yast package manager, it asks for the install media (I don't
disable the DVD repo).
The probable sequence would be:

Use 13.1, do some updates, plug in the 13.1 USB install stick when it asks for
it.
Reboot to Leap.
Do an update with YaST.
YaST finds the stick for 13.1 and uses it, not checking that it is the wrong
version.

I have verified that it does indeed use happily the wrong USB stick during the
repository refresh phase.
What I had not verified is that it also installed packages from it!

I have to verify whether there are other wrong packages.

Bugzilla time. Against YaST, I suppose?


--
Cheers / Saludos,

Carlos E. R.
(from 13.1 x86_64 "Bottle" at Telcontar)

< Previous Next >